package com.nisum.safeway.page_factories;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

import java.util.concurrent.TimeUnit;

public class AccountSettingsPF {
    WebDriver driver;

    public AccountSettingsPF(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }
    
    @FindBy(id = "input-firstName")
    WebElement inpFirstName;

    @FindBy(id = "input-lastName")
    WebElement inpLastName;

    @FindBy(id = "emailIdaccount")
    WebElement inpEmail;

    @FindBy(xpath = "//p[contains(text(), 'Personal Information')]")
    WebElement parPersonalInformation;
    
    public void authenticateAndNavigate() {
        HomePF homePF = new HomePF(driver);
        homePF.navigateToAccountSettings();
        new WebDriverWait(driver, 20).until(ExpectedConditions.visibilityOf(parPersonalInformation));
    }

    public static void main(String[] args) {
        System.setProperty("webdriver.chrome.driver", "/Users/asegers/Drivers/chromedriver");
        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        AccountSettingsPF accountSettingsPF = new AccountSettingsPF(driver);
        accountSettingsPF.authenticateAndNavigate();
        driver.quit();
    }
}
