package com.nisum.safeway.page_factories;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.FindBys;
import org.openqa.selenium.support.PageFactory;
import properties.UserProperties;

import java.util.concurrent.TimeUnit;

public class HomePF {
    WebDriver driver;

    public HomePF(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
    }

    @FindBys({
            @FindBy(className = "menu-nav__profile-button"),
            @FindBy(xpath = "//a[contains(text(), 'Account')]")
    })
    WebElement lnkAccount;

    @FindBy(xpath = "//a[contains(text(), 'Account Settings')]")
    WebElement menuItemAccountSettings;

    @FindBy(className = "sidebar__user-welcome__message")
    WebElement welcomeMsg;

    public void authenticate() {
        LoginPF loginPF = new LoginPF(driver);
        loginPF.login(UserProperties.get("email"), UserProperties.get("password"));
    }

    public void navigateToAccountSettings() {
        authenticate();
//        PageFactory.initElements(this.driver, this);
        lnkAccount.click();
        menuItemAccountSettings.click();
    }

    public static void main(String[] args) {
        System.setProperty("webdriver.chrome.driver", "/Users/asegers/Drivers/chromedriver");
        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        HomePF homePF = new HomePF(driver);
        homePF.navigateToAccountSettings();
        driver.quit();
    }
}
