package com.nisum.safeway.page_factories;

import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.chrome.ChromeDriver;
import org.openqa.selenium.support.FindBy;
import org.openqa.selenium.support.FindBys;
import org.openqa.selenium.support.PageFactory;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;
import properties.UserProperties;

import java.util.concurrent.TimeUnit;

public class LoginPF {
    WebDriver driver;
    final String HOME_URL = "https://www.safeway.com/";

    public LoginPF(WebDriver driver) {
        this.driver = driver;
        PageFactory.initElements(this.driver, this);
        driver.navigate().to(HOME_URL);
    }
    
    @FindBys({
            @FindBy(className = "menu-nav__profile-button"),
            @FindBy(xpath = "//a[@title='Your profile']")
    })
    WebElement lnkSignIn;
    
    @FindBy(id = "sign-in-modal-link")
    WebElement menuItemSignIn;

    @FindBy(id = "label-email")
    WebElement inpEmail;

    @FindBy(id = "label-password")
    WebElement inpPassword;

    @FindBy(id = "btnSignIn")
    WebElement btnSignIn;

    public void login(String email, String password) {
        lnkSignIn.click();
        menuItemSignIn.click();
        new WebDriverWait(driver, 5).until(ExpectedConditions.elementToBeClickable(inpEmail));
        inpEmail.sendKeys(email);
        new WebDriverWait(driver, 5).until(ExpectedConditions.elementToBeClickable(inpPassword));
        inpPassword.sendKeys(password);
        btnSignIn.click();
        // Wait for link w/ text "Sign In / Up" to be unattached from the DOM, signaling a page refresh and successful authentication
        new WebDriverWait(driver, 20).until(ExpectedConditions.stalenessOf(lnkSignIn));
    }

    public static void main(String[] args) {
        System.setProperty("webdriver.chrome.driver", "/Users/asegers/Drivers/chromedriver");
        WebDriver driver = new ChromeDriver();
        driver.manage().timeouts().implicitlyWait(5, TimeUnit.SECONDS);
        LoginPF loginPF = new LoginPF(driver);
        loginPF.login(UserProperties.get("email"), UserProperties.get("password"));
        driver.quit();
    }
}
