package com.nisum.safeway.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class AccountSettingsPage {
    WebDriver driver;

    public AccountSettingsPage(WebDriver driver) {
        this.driver = driver;
    }

    public WebElement getInpFirstName() {
        return driver.findElement(By.id("input-firstName"));
    }

    public WebElement getInpLastName() {
        return driver.findElement(By.id("input-lastName"));
    }

    public WebElement getInpEmail() {
        return driver.findElement(By.id("emailIdaccount"));
    }

    public WebElement getParPersonalInformation() {
        return driver.findElement(By.xpath("//p[contains(text(), 'Personal Information')]"));
    }

    public void authenticateAndNavigate() {
        HomePage homePage = new HomePage(driver);
        homePage.navigateToAccountSettings();
        new WebDriverWait(driver, 20).until(ExpectedConditions.visibilityOf(getParPersonalInformation()));
    }
}
