package com.nisum.safeway.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import properties.UserProperties;

public class HomePage {
    WebDriver driver;

    public HomePage(WebDriver driver) {
        this.driver = driver;
    }

    public WebElement getLnkAccount() {
        return driver.findElement(By.className("menu-nav__profile-button-sign-in-up"));
    }

    public WebElement getMenuItemAccountSettings() {
        return driver.findElement(By.xpath("//a[contains(text(), 'Account Settings')]"));
    }
    
    public WebElement getWelcomeMsg() {
        return driver.findElement(By.className("sidebar__user-welcome__message"));
    }

    public void authenticate() {
        LoginPage loginPage = new LoginPage(driver);
        loginPage.login(UserProperties.get("email"), UserProperties.get("password"));
    }
    
    public void navigateToAccountSettings() {
        authenticate();
        getLnkAccount().click();
        getMenuItemAccountSettings().click();
    }
}
