package com.nisum.safeway.pages;

import org.openqa.selenium.By;
import org.openqa.selenium.WebDriver;
import org.openqa.selenium.WebElement;
import org.openqa.selenium.support.ui.ExpectedConditions;
import org.openqa.selenium.support.ui.WebDriverWait;

public class LoginPage {
    WebDriver driver;
    final String HOME_URL = "https://www.safeway.com/";
    
    public LoginPage(WebDriver driver) {
        this.driver = driver;
        driver.navigate().to(HOME_URL);
    }
    
    public WebElement getLnkSignIn() {
        return driver.findElement(By.className("menu-nav__profile-button"));
    }
    
    public WebElement getMenuItemSignIn() {
        return driver.findElement(By.id("sign-in-modal-link"));
    }

    public WebElement getInpEmail() {
        return driver.findElement(By.id("label-email"));
    }
    
    public WebElement getInpPassword() {
        return driver.findElement(By.id("label-password"));
    }

    public WebElement getBtnSignIn() { return driver.findElement(By.id("btnSignIn")); }

    public void login(String email, String password) {
        getLnkSignIn().click();
        getMenuItemSignIn().click();
        new WebDriverWait(driver, 5).until(ExpectedConditions.elementToBeClickable(getInpEmail()));
        getInpEmail().sendKeys(email);
        new WebDriverWait(driver, 5).until(ExpectedConditions.elementToBeClickable(getInpPassword()));
        getInpPassword().sendKeys(password);
        getBtnSignIn().click();
        // Wait for link w/ text "Sign In / Up" to be unattached from the DOM, signaling a page refresh and successful authentication
        new WebDriverWait(driver, 15).until(ExpectedConditions.stalenessOf(getLnkSignIn()));
    }
}
